#!/bin/bash
##########################################
# File Name:34_check_url.sh
# Version:V1.0
# Author:zhangpeng
# 0rganization:linuxjk.cn
# Desc:案例34：检查指定web/api是否可以访问
#color func
source /funcs/func_diy.sh
###########################################
#1.vars
url=$1

#2.检查参数个数是否为1（空也退出）
check_var(){
if [ $# -ne 1 ]
then
	redecho "help: sh $0 xxx.com "
	exit 1
fi
}
#检查系统中是否有curl命令
yum_curl(){
if  ! which curl &>/dev/null ;then
	yum install -y curl &>/dev/null
fi
}

#检查到目标网站之间线路是否通畅
check_net(){
if ! ping -c1 $url &>/dev/null ;then
	echo "net connection failed! or $url is not exist! "
	exit 2
fi
}
#check [[ =~ ]] .com  可以加一步用正则匹配输入的是否为网站（xxx.com等格式）
#使用curl命令检查是否可以访问
check_url(){
if curl -s $url &>/dev/null ;then
	greenecho "$url  can see! "
else
	redecho "$url see failed! "
fi
}
main(){
check_var "$@"
yum_curl
check_net
check_url
}
main "$@"
